> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-products.md).

# Settings   Products

## GET /settings/products

> List Products

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Product":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the product."},"label":{"type":"string","description":"The display label of the product."},"active":{"type":"boolean","description":"Whether this product is active & usable"},"coverageRate":{"type":"number","description":"Square feet coverage per gallon (sqft/gal)"},"lnftCoverage":{"type":"number","description":"Linear feet coverage"},"quantityCoverage":{"type":"number","description":"Quantity coverage"},"pricePerUnit":{"type":"number","description":"Unit price per gallon ($/gal)"},"unit":{"type":"string","description":"Measurement unit label"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this product applies to"}},"required":["id","label","coverageRate","lnftCoverage","quantityCoverage"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/products":{"get":{"summary":"List Products","operationId":"listProducts","tags":["Settings - Products"],"responses":{"200":{"description":"List of products","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /settings/products

> Create Product

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Product":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the product."},"label":{"type":"string","description":"The display label of the product."},"active":{"type":"boolean","description":"Whether this product is active & usable"},"coverageRate":{"type":"number","description":"Square feet coverage per gallon (sqft/gal)"},"lnftCoverage":{"type":"number","description":"Linear feet coverage"},"quantityCoverage":{"type":"number","description":"Quantity coverage"},"pricePerUnit":{"type":"number","description":"Unit price per gallon ($/gal)"},"unit":{"type":"string","description":"Measurement unit label"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this product applies to"}},"required":["id","label","coverageRate","lnftCoverage","quantityCoverage"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/products":{"post":{"summary":"Create Product","operationId":"createProduct","tags":["Settings - Products"],"requestBody":{"description":"Data for creating a new product","required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"label":{"type":"string","description":"The display label of the product."},"active":{"type":"boolean","description":"Whether this product is active & usable"},"coverageRate":{"type":"number","description":"Square feet coverage per gallon (sqft/gal)"},"lnftCoverage":{"type":"number","description":"Linear feet coverage"},"quantityCoverage":{"type":"number","description":"Quantity coverage"},"pricePerUnit":{"type":"number","description":"Unit price per gallon ($/gal)"},"unit":{"type":"string","description":"Measurement unit label"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this product applies to"}},"required":["label","coverageRate","lnftCoverage","quantityCoverage"]}}}},"responses":{"200":{"description":"Successfully created product","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"Conflict - Product already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /settings/products/{id}

> Retrieve Product

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Product":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the product."},"label":{"type":"string","description":"The display label of the product."},"active":{"type":"boolean","description":"Whether this product is active & usable"},"coverageRate":{"type":"number","description":"Square feet coverage per gallon (sqft/gal)"},"lnftCoverage":{"type":"number","description":"Linear feet coverage"},"quantityCoverage":{"type":"number","description":"Quantity coverage"},"pricePerUnit":{"type":"number","description":"Unit price per gallon ($/gal)"},"unit":{"type":"string","description":"Measurement unit label"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this product applies to"}},"required":["id","label","coverageRate","lnftCoverage","quantityCoverage"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/products/{id}":{"get":{"summary":"Retrieve Product","operationId":"getProduct","tags":["Settings - Products"],"parameters":[{"name":"id","in":"path","description":"ID of the Product","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the product","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /settings/products/{id}

> Update Product

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Product":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the product."},"label":{"type":"string","description":"The display label of the product."},"active":{"type":"boolean","description":"Whether this product is active & usable"},"coverageRate":{"type":"number","description":"Square feet coverage per gallon (sqft/gal)"},"lnftCoverage":{"type":"number","description":"Linear feet coverage"},"quantityCoverage":{"type":"number","description":"Quantity coverage"},"pricePerUnit":{"type":"number","description":"Unit price per gallon ($/gal)"},"unit":{"type":"string","description":"Measurement unit label"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"Quote types this product applies to"}},"required":["id","label","coverageRate","lnftCoverage","quantityCoverage"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/products/{id}":{"put":{"summary":"Update Product","operationId":"updateProduct","tags":["Settings - Products"],"parameters":[{"name":"id","in":"path","description":"ID of the Product","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated product data","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"}}}},"responses":{"200":{"description":"Successfully updated product","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /settings/products/{id}

> Delete Product

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/products/{id}":{"delete":{"summary":"Delete Product","operationId":"deleteProduct","tags":["Settings - Products"],"parameters":[{"name":"id","in":"path","description":"ID of the Product","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Product successfully deleted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.paintscout.com/developers/settings-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
